Bug 119405 - The /usr/bin/smbmount command can't mount smb shares because smbfs is not supported by the kernel.
Summary: The /usr/bin/smbmount command can't mount smb shares because smbfs is not sup...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-30 06:30 UTC by shane nuessler
Modified: 2015-01-04 22:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 04:02:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description shane nuessler 2004-03-30 06:30:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
When trying to mount a windows SMB share with the command line
smbmount  application, a message is returned that says:

ERROR: smbfs filesystem not supported by the kernel
Please refer to the smbmnt(8) manual page
smbmnt failed: 255


I have to connect to servers via gnome in the mean time, which other
apps such as gThumb can't see.



Version-Release number of selected component (if applicable):
kernel-2.6.3-2.1.253.2.1

How reproducible:
Always

Steps to Reproduce:
1.run the command to mount a samba share
2.
3.
    

Actual Results:  same as fault described above.

Expected Results:  SMB share should have mounted properly.

Additional info:

Comment 1 Arjan van de Ven 2004-03-30 06:39:03 UTC
please try using cifs instead...

Comment 2 shane nuessler 2004-03-30 07:09:05 UTC
Hi Arjan,

What is cifs?

I can't a package name starting with cifs on the test2 cd's?

Regards,
Shane.


Comment 3 Arjan van de Ven 2004-03-30 07:10:42 UTC
you don't need a special package for it... mount understands it directly

Comment 4 shane nuessler 2004-03-30 07:20:45 UTC
Hi Arjan,

Is the command I would like the following?

mount cifs //winbox/share /home/mydir/mountpoint  -o
rw,username=me,uid=me,workgroup=GRP

I need to use it a a user, not root.

Kind regards,
Shane.


Comment 5 Arjan van de Ven 2004-03-30 07:55:50 UTC
mount -t cifs, eg note the -t

if you need to mount it as user you need to add it to /etc/fstab with
the "user" option there...

Comment 6 shane nuessler 2004-03-30 22:44:43 UTC
Ok, thanks for that.

Out of interest, is there a reason why the kernel doesn't know about
smbfs anymore? The commands worked under Fedora Core 1. Will smbfs be
supported in the production version of FC2?

God bless,
Shane.

Comment 7 Arjan van de Ven 2004-03-31 06:12:55 UTC
we don't know yet about the final FC2.
cifs is supposed to be the "new thing" and replace smbfs mostly; so we
need it tested. Only way to get that done is to disable the old thing... 

Comment 8 shane nuessler 2004-03-31 23:58:11 UTC
Sounds fair enough to me.

Although, having to list the mount in the fstab is a bit of a pain for
us. We like to add a new mount point to a list and just have it
mounted by a script.

Do you know of any way around this?



Comment 9 shane nuessler 2004-04-02 01:20:08 UTC
Hi Arjan,

the c in -cifs is reported to be an unknown option. (see below)

mount: invalid option -- c
Usage: mount -V                 : print version
       mount -h                 : print this help
       mount                    : list mounted filesystems
       mount -l                 : idem, including volume la
...etc...
Other options: [-nfFrsvw] [-o options] [-p passwdfd].
For many more details, say  man 8 mount .

Shane.

Comment 10 shane nuessler 2004-04-02 01:22:02 UTC
woops, -t cifs, not -cifs

scrub that last comment from me.

Comment 11 shane nuessler 2004-04-02 01:28:43 UTC
Ok, I'm doing the right thing now.
But even though the smb share and local point etc are in the fstab
file, I still get

Only Root can do that

when I try to mount as a user. Unless I take all the smb options off
the command line. Of course then I can't authenicate because no domain
info can be provided. How do I put all the samba options (workgroup,
uid etc) into the fstab?

Regards,
Shane.



Comment 12 toby cabot 2004-05-06 17:48:12 UTC
trying to mount a volume that works with smbclient and nautilus (and
worked with smbmount on Debian) I get 

[root@midnight root]# mount -t cifs //nt1/epiic /nt1 -o ro,user=me
Password:
mount error 13 = Permission denied
Refer to the mount.cifs(8) manual page (e.g.man mount.cifs)
[root@midnight root]#

/var/log/messages shows:

May  6 13:25:53 midnight kernel:  CIFS VFS: Send error in SessSetup = -13
May  6 13:25:53 midnight kernel:  CIFS VFS: cifs_mount failed w/return
code = -13

No big deal because I can use other tools but I'd recommend
re-enabling smb at some point.

Comment 13 Dave Jones 2004-12-08 05:51:30 UTC
any better with the 2.6.9 update ?

Comment 14 Dave Jones 2005-04-16 04:02:39 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.